Skip to main content
PUT
/
public
/
v1
/
customer-deposits
/
{record_number}
/
Update CustomerDeposit record
curl --request PUT \
  --url https://api.dualentry.com/public/v1/customer-deposits/{record_number}/ \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "date": "2023-12-25",
  "company_id": 123,
  "account_number": 123,
  "exchange_rate": 123,
  "items": [
    {
      "position": 123,
      "amount": 123,
      "id": 123,
      "cash_sale_number": 123,
      "customer_payment_number": 123,
      "customer_prepayment_number": 123,
      "vendor_refund_number": 123,
      "account_number": 123,
      "customer_id": 123,
      "vendor_id": 123,
      "description": ""
    }
  ],
  "custom_fields": [
    {}
  ],
  "transaction_date": "2023-12-25",
  "memo": "",
  "check_number": "",
  "attachments": [],
  "record_status": "posted"
}
'
import requests

url = "https://api.dualentry.com/public/v1/customer-deposits/{record_number}/"

payload = {
    "date": "2023-12-25",
    "company_id": 123,
    "account_number": 123,
    "exchange_rate": 123,
    "items": [
        {
            "position": 123,
            "amount": 123,
            "id": 123,
            "cash_sale_number": 123,
            "customer_payment_number": 123,
            "customer_prepayment_number": 123,
            "vendor_refund_number": 123,
            "account_number": 123,
            "customer_id": 123,
            "vendor_id": 123,
            "description": ""
        }
    ],
    "custom_fields": [{}],
    "transaction_date": "2023-12-25",
    "memo": "",
    "check_number": "",
    "attachments": [],
    "record_status": "posted"
}
headers = {
    "X-API-KEY": "<api-key>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'PUT',
  headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    date: '2023-12-25',
    company_id: 123,
    account_number: 123,
    exchange_rate: 123,
    items: [
      {
        position: 123,
        amount: 123,
        id: 123,
        cash_sale_number: 123,
        customer_payment_number: 123,
        customer_prepayment_number: 123,
        vendor_refund_number: 123,
        account_number: 123,
        customer_id: 123,
        vendor_id: 123,
        description: ''
      }
    ],
    custom_fields: [{}],
    transaction_date: '2023-12-25',
    memo: '',
    check_number: '',
    attachments: [],
    record_status: 'posted'
  })
};

fetch('https://api.dualentry.com/public/v1/customer-deposits/{record_number}/', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "internal_id": 123,
  "number": 123,
  "transaction_id": 123,
  "date": "2023-12-25",
  "transaction_date": "2023-12-25",
  "company_id": 123,
  "company_name": "<string>",
  "company_currency": "<string>",
  "account_id": 123,
  "exchange_rate": "<string>",
  "amount": "<string>",
  "memo": "<string>",
  "items": [
    {
      "id": 123,
      "customer_prepayment_number": 123,
      "customer_payment_number": 123,
      "cash_sale_number": 123,
      "vendor_refund_number": 123,
      "account_id": 123,
      "description": "<string>",
      "customer_id": 123,
      "vendor_id": 123,
      "classifications": []
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "custom_fields": [],
  "attachments": [],
  "created_by": {
    "actor_type": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  },
  "updated_by": {
    "actor_type": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  }
}
{
  "errors": {},
  "success": false
}
{
  "errors": {},
  "success": false
}
{
  "errors": {},
  "success": false
}
{
  "errors": {},
  "success": false
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

record_number
integer
required

The number attribute of the record.

Body

application/json

Input schema for updating Customer Deposits via Public API.

date
string<date>
required
company_id
integer
required
account_number
integer
required
currency_iso_4217_code
enum<string>
required
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMW,
ZWL
exchange_rate
required
items
PublicCustomerDepositItemIn · object[]
required
custom_fields
Custom Fields · object[] | null
transaction_date
string<date> | null
memo
string
default:""
check_number
string
default:""
attachments
AttachmentSchemaOut · object[]
record_status
enum<string>
default:posted
Available options:
draft,
posted,
archived

Response

OK

internal_id
integer
required
number
integer
required
transaction_id
integer
required
date
string<date>
required

Posting date (GL date) - the date when the transaction is recorded in the general ledger

transaction_date
string<date>
required

Transaction date (inception date) - the date when the transaction actually occurred

company_id
integer
required
company_name
string
required
company_currency
string
required
account_id
integer
required
currency_iso_4217_code
enum<string>
required
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMW,
ZWL
exchange_rate
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,16}0*$
amount
string
required

Total transaction amount

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
memo
string
required
items
PublicCustomerDepositItemOut · object[]
required
record_status
enum<string>
required
Available options:
draft,
posted,
archived
created_at
string<date-time>
required

Date and time the record was created

updated_at
string<date-time>
required

Date and time the record was last updated

custom_fields
CustomFieldValuePairOutputSchema · object[]
attachments
PublicAttachmentSchemaOut · object[]
created_by
AuditActorSchemaOut · object | null

Schema for audit actor information.

updated_by
AuditActorSchemaOut · object | null

Schema for audit actor information.

Last modified on July 13, 2026